
# .include "source/Ram_2.s"
.include "source/macros.s"
.include "source/offsets.s"
.include "source/constants.s"
.include "source/values.s"


/* start at 0x2540 */

.section .ram80005600, "ax"


.include "source/main.s"
.include "source/Animal/boid.s"
.include "source/Animal/fishoid.s"
.include "source/Animal/AnimalBase.s"
.include "source/Animal/AnimalManager.s"
.include "source/Animal/AnimalSave.s"
.include "source/Animal/AnimalNerve.s"
.include "source/Animal/Bird.s"
.include "source/Animal/BeeHive.s"
.include "source/Animal/Butterfly.s"
.include "source/MSound/MAnmSound.s"
.include "source/MSound/MSound.s"
.include "source/MSound/MSoundBGM.s"
.include "source/MSound/MSoundDebug.s"
.include "source/MSound/MSoundScene.s"
.include "source/MSound/MSoundSE.s"
.include "source/MSound/MSoundStruct.s"
.include "source/MSound/MSHandle.s"
.include "source/MSound/MSModBgm.s"
.include "source/THPPlayer/THPAudioDecode.s"
.include "source/THPPlayer/THPDraw.s"
.include "source/THPPlayer/THPPlayer.s"
.include "source/THPPlayer/THPRead.s"
.include "source/THPPlayer/THPVideoDecode.s"
.include "source/Camera/CameraBGCheck.s"
.include "source/Camera/CameraChange.s"
.include "source/Camera/CameraCodeControl.s"
.include "source/Camera/cameragc.s"
.include "source/Camera/CameraHeightPan.s"
.include "source/Camera/CameraInbetween.s"
.include "source/Camera/CameraKindParam.s"
.include "source/Camera/cameralib.s"
.include "source/Camera/CameraMarioData.s"
.include "source/Camera/CameraNotice.s"
.include "source/Camera/CameraNormal.s"
.include "source/Camera/camerasave.s"
.include "source/Camera/camerashake.s"
.include "source/Camera/CameraTalk.s"
.include "source/Camera/lensflare.s"
.include "source/Camera/lensglow.s"
.include "source/Camera/sunmgr.s"
.include "source/Camera/sunmodel.s"
.include "source/Camera/CubeManagerBase.s"
.include "source/Camera/CameraMapTool.s"
.include "source/Camera/CubeMapTool.s"
.include "source/Camera/CameraMultiPlayer.s"
.include "source/Camera/CameraJetCoaster.s"
.include "source/Camera/CameraBck.s"
.include "source/Camera/CameraOption.s"
.include "source/Camera/CameraDemo.s"
.include "source/Camera/CameraWarp.s"
.include "source/Camera/CameraMode.s"
.include "source/Camera/CameraSecureView.s"
.include "source/Enemy/conductor.s"
.include "source/Enemy/effectObj.s"
.include "source/Enemy/emario.s"
.include "source/Enemy/enemy.s"
.include "source/Enemy/enemyAttachment.s"
.include "source/Enemy/enemyinterp.s"
.include "source/Enemy/enemymanager.s"
.include "source/Enemy/enemyMario.s"
.include "source/Enemy/feetinv.s"
.include "source/Enemy/gesso.s"
.include "source/Enemy/graph.s"
.include "source/Enemy/hamukuri.s"
.include "source/Enemy/hinokuri2.s"
.include "source/Enemy/mameGesso.s"
.include "source/Enemy/namekuri.s"
.include "source/Enemy/pakkun.s"
.include "source/Enemy/smallEnemy.s"
.include "source/Enemy/spider.s"
.include "source/Enemy/spline.s"
.include "source/Enemy/typicalenemy.s"
.include "source/Enemy/walker.s"
.include "source/Enemy/walkerEnemy.s"
.include "source/Enemy/bossgesso.s"
.include "source/Enemy/elecNokonoko.s"
.include "source/Enemy/telesa.s"
.include "source/Enemy/fireWanwan.s"
.include "source/Enemy/enemytable.s"
.include "source/Enemy/generator.s"
.include "source/Enemy/bosspakkun.s"
.include "source/Enemy/tobiPuku.s"
.include "source/Enemy/tinkoopa.s"
.include "source/Enemy/launcher.s"
.include "source/Enemy/bosswanwan.s"
.include "source/Enemy/chuuhana.s"
.include "source/Enemy/igaiga.s"
.include "source/Enemy/poihana.s"
.include "source/Enemy/tamaNoko.s"
.include "source/Enemy/bosstelesa.s"
.include "source/Enemy/riccohook.s"
.include "source/Enemy/bombhei.s"
.include "source/Enemy/cannon.s"
.include "source/Enemy/bosseel.s"
.include "source/Enemy/killer.s"
.include "source/Enemy/beam.s"
.include "source/Enemy/hanasambo.s"
.include "source/Enemy/popo.s"
.include "source/Enemy/SleepBossHanachan.s"
.include "source/Enemy/DemoBossHanachanBase.s"
.include "source/Enemy/fruitsboat.s"
.include "source/Enemy/BossHanachanSub.s"
.include "source/Enemy/BossHanachanMain.s"
.include "source/Enemy/BossHanachanNerve.s"
.include "source/Enemy/BossHanachanAnm.s"
.include "source/Enemy/BossHanachanParts.s"
.include "source/Enemy/BossHanachanSave.s"
.include "source/Enemy/amiNoko.s"
.include "source/Enemy/gatekeeper.s"
.include "source/Enemy/BossHanachanEffect.s"
.include "source/Enemy/egggen.s"
.include "source/Enemy/seal.s"
.include "source/Enemy/bgpoldrop.s"
.include "source/Enemy/bgtentacle.s"
.include "source/Enemy/effectEnemy.s"
.include "source/Enemy/hauntLeg.s"
.include "source/Enemy/areacylinder.s"
.include "source/Enemy/wireTrap.s"
.include "source/Enemy/BossHanachanSound.s"
.include "source/Enemy/rocket.s"
.include "source/Enemy/Kazekun.s"
.include "source/Enemy/bossManta.s"
.include "source/Enemy/wireBinder.s"
.include "source/Enemy/yunbo.s"
.include "source/Enemy/koopajr.s"
.include "source/Enemy/Kumokun.s"
.include "source/Enemy/Koopa.s"
.include "source/Enemy/Kukku.s"
.include "source/Enemy/Amenbo.s"
.include "source/Enemy/BathtubPeach.s"
.include "source/Enemy/BathtubKiller.s"
.include "source/Enemy/coasterkiller.s"
.include "source/Enemy/DebuTelesa.s"
.include "source/Enemy/TabePuku.s"
.include "source/Enemy/BathtubBinder.s"
.include "source/Enemy/limitkoopa.s"
.include "source/Enemy/limitkoopajr.s"
.include "source/GC2D/Coord2D.s"
.include "source/GC2D/ExPane.s"
.include "source/GC2D/Menu.s"
.include "source/GC2D/ScrnFader.s"
.include "source/GC2D/GCConsole2.s"
.include "source/GC2D/Talk2D2.s"
.include "source/GC2D/BoundPane.s"
.include "source/GC2D/PauseMenu2.s"
.include "source/GC2D/MessageLoader.s"
.include "source/GC2D/HelpActor.s"
.include "source/GC2D/MessageUtil.s"
.include "source/GC2D/CardSave.s"
.include "source/GC2D/CardLoad.s"
.include "source/GC2D/ConsoleStr.s"
.include "source/GC2D/SelectMenu.s"
.include "source/GC2D/SelectDir.s"
.include "source/GC2D/SelectShine2.s"
.include "source/GC2D/BlendPane.s"
.include "source/GC2D/Guide.s"
.include "source/GC2D/SunGlass.s"
.include "source/GC2D/ShineFader.s"
.include "source/GC2D/ProgSelect.s"
.include "source/GC2D/hx_wiper.s"
.include "source/GC2D/MovieSubtitle.s"
.include "source/GC2D/Option.s"
.include "source/GC2D/MovieRumble.s"
.include "source/Map/JointModel.s"
.include "source/Map/JointModelManager.s"
.include "source/Map/JointObj.s"
.include "source/Map/Map.s"
.include "source/Map/MapArea.s"
.include "source/Map/MapCheck.s"
.include "source/Map/MapCollisionData.s"
.include "source/Map/MapCollisionEntry.s"
.include "source/Map/MapCollisionManager.s"
.include "source/Map/MapDraw.s"
.include "source/Map/MapEvent.s"
.include "source/Map/MapEventSink.s"
.include "source/Map/MapMakeData.s"
.include "source/Map/MapMakeList.s"
.include "source/Map/MapMirror.s"
.include "source/Map/MapModel.s"
.include "source/Map/MapWarp.s"
.include "source/Map/MapStaticObject.s"
.include "source/Map/MapWire.s"
.include "source/Map/MapWireManager.s"
.include "source/Map/MapXlu.s"
.include "source/Map/PollutionAction.s"
.include "source/Map/PollutionCount.s"
.include "source/Map/PollutionManager.s"
.include "source/Map/PollutionObj.s"
.include "source/Map/PollutionPos.s"
.include "source/Map/Shimmer.s"
.include "source/Map/Sky.s"
.include "source/Map/MapEventSirena.s"
.include "source/Map/PollutionLayer.s"
.include "source/Map/PollutionEvent.s"
.include "source/Map/MapCollisionPlane.s"
.include "source/Map/MarineSnow.s"
.include "source/Map/MapData.s"
.include "source/Map/MapEventDolpic.s"
.include "source/Map/MapEventMare.s"
.include "source/Map/BathWaterManager.s"
.include "source/Map/StickyStainManager.s"
.include "source/MoveBG/WoodBarrel.s"
.include "source/MoveBG/MapObjBase.s"
.include "source/MoveBG/MapObjInit.s"
.include "source/MoveBG/MapObjGeneral.s"
.include "source/MoveBG/MapObjManager.s"
.include "source/MoveBG/MapObjLib.s"
.include "source/MoveBG/Item.s"
.include "source/MoveBG/ItemManager.s"
.include "source/MoveBG/MapObjTown.s"
.include "source/MoveBG/MapObjBlock.s"
.include "source/MoveBG/MapObjBianco.s"
.include "source/MoveBG/MapObjSirena.s"
.include "source/MoveBG/MapObjRicco.s"
.include "source/MoveBG/MapObjMamma.s"
.include "source/MoveBG/MapObjPinna.s"
.include "source/MoveBG/MapObjSample.s"
.include "source/MoveBG/MapObjMare.s"
.include "source/MoveBG/MapObjFlag.s"
.include "source/MoveBG/MapObjWave.s"
.include "source/MoveBG/MapObjFloat.s"
.include "source/MoveBG/MapObjPlane.s"
.include "source/MoveBG/MapObjCloud.s"
.include "source/MoveBG/MapObjBall.s"
.include "source/MoveBG/MapObjAirport.s"
.include "source/MoveBG/MapObjDolpic.s"
.include "source/MoveBG/MapObjPollution.s"
.include "source/MoveBG/MapObjGrass.s"
.include "source/MoveBG/MapObjPole.s"
.include "source/MoveBG/MapObjWater.s"
.include "source/MoveBG/ModelGate.s"
.include "source/MoveBG/MapObjFence.s"
.include "source/MoveBG/MapObjOption.s"
.include "source/MoveBG/MapObjRailBlock.s"
.include "source/MoveBG/MapObjMonte.s"
.include "source/MoveBG/MapObjTree.s"
.include "source/MoveBG/MapObjEx.s"
.include "source/MoveBG/Pool.s"
.include "source/MoveBG/MapObjCorona.s"
.include "source/MoveBG/MapObjItem2.s"
.include "source/MoveBG/MapObjHide.s"
.include "source/MoveBG/MapObjTrap.s"
.include "source/NPC/NpcAnm.s"
.include "source/NPC/NpcBase.s"
.include "source/NPC/NpcCallback.s"
.include "source/NPC/NpcManager.s"
.include "source/NPC/NpcNerve.s"
.include "source/NPC/NpcSave.s"
.include "source/NPC/NpcEvent.s"
.include "source/NPC/NpcInitData.s"
.include "source/NPC/NpcInitPrg.s"
.include "source/NPC/NpcInbetween.s"
.include "source/NPC/NpcParts.s"
.include "source/NPC/NpcColor.s"
.include "source/NPC/NpcSound.s"
.include "source/NPC/NpcChange.s"
.include "source/NPC/NpcThrow.s"
.include "source/NPC/NpcTrample.s"
.include "source/NPC/NpcEffect.s"
.include "source/NPC/NpcInitAnmData.s"
.include "source/NPC/NpcInitActionData.s"
.include "source/NPC/NpcCoin.s"
.include "source/NPC/NpcBalloon.s"
.include "source/NPC/NpcWalkTurn.s"
.include "source/NPC/NpcCollision.s"
.include "source/Strategic/liveactor.s"
.include "source/Strategic/liveinterp.s"
.include "source/Strategic/livemanager.s"
.include "source/Strategic/ObjHitCheck.s"
.include "source/Strategic/objmanager.s"
.include "source/Strategic/ObjModel.s"
.include "source/Strategic/spcinterp.s"
.include "source/Strategic/Strategy.s"
.include "source/Strategic/question.s"
.include "source/Strategic/smplcharacter.s"
.include "source/Strategic/HitActor.s"
.include "source/Strategic/binder.s"
.include "source/Strategic/SharedParts.s"
.include "source/Strategic/MirrorActor.s"
.include "source/MarioUtil/DLUtil.s"
.include "source/MarioUtil/DrawUtil.s"
.include "source/MarioUtil/LightUtil.s"
.include "source/MarioUtil/MathUtil.s"
.include "source/MarioUtil/MtxUtil.s"
.include "source/MarioUtil/ScreenUtil.s"
.include "source/MarioUtil/ShadowUtil.s"
.include "source/MarioUtil/gd-reinit-gx.s"
.include "source/MarioUtil/EffectUtil.s"
.include "source/MarioUtil/ModelUtil.s"
.include "source/MarioUtil/RumbleMgr.s"
.include "source/MarioUtil/RumbleType.s"
.include "source/MarioUtil/PacketUtil.s"
.include "source/MarioUtil/GDUtil.s"
.include "source/MarioUtil/TexUtil.s"
.include "source/MarioUtil/MapUtil.s"
.include "source/MarioUtil/ToolData.s"
.include "source/M3DUtil/M3UJoint.s"
.include "source/M3DUtil/M3UModel.s"
.include "source/M3DUtil/MActor.s"
.include "source/M3DUtil/MActorAnm.s"
.include "source/M3DUtil/MActorData.s"
.include "source/M3DUtil/SDLModel.s"
.include "source/M3DUtil/MActorUtil.s"
.include "source/M3DUtil/SampleCtrlNode.s"
.include "source/M3DUtil/SampleCtrlModel.s"
.include "source/M3DUtil/MotionBlendCtrl.s"
.include "source/M3DUtil/LodAnm.s"
.include "source/Player/MarioAction.s"
.include "source/Player/MarioAutodemo.s"
.include "source/Player/MarioBlend.s"
.include "source/Player/MarioCap.s"
.include "source/Player/MarioCollision.s"
.include "source/Player/MarioDraw.s"
.include "source/Player/MarioJump.s"
.include "source/Player/MarioMain.s"
.include "source/Player/MarioMove.s"
.include "source/Player/MarioPhysics.s"
.include "source/Player/MarioRecord.s"
.include "source/Player/MarioRun.s"
.include "source/Player/MarioSpecial.s"
.include "source/Player/MarioUpper.s"
.include "source/Player/MarioParticle.s"
.include "source/Player/MarioWait.s"
.include "source/Player/SplashManager.s"
.include "source/Player/Tongue.s"
.include "source/Player/WaterGun.s"
.include "source/Player/Yoshi.s"
.include "source/Player/MarioEffect.s"
.include "source/Player/MarioSwim.s"
.include "source/Player/MarioAccess.s"
.include "source/Player/MarioInit.s"
.include "source/Player/ModelWaterManager.s"
.include "source/Player/MarioPositionObj.s"
.include "source/Player/MarioCheckCol.s"
.include "source/Player/MarioReceiveMsg.s"
.include "source/Player/MarioSound.s"
.include "source/System/BaseParam.s"
.include "source/System/EmitterViewObj.s"
.include "source/System/EventWatcher.s"
.include "source/System/FlagManager.s"
.include "source/System/GCLogoDir.s"
.include "source/System/J3DSysFlag.s"
.include "source/System/MarDirector.s"
.include "source/System/MarDirectorDirect.s"
.include "source/System/MarDirectorEvent.s"
.include "source/System/MarDirectorInitECT.s"
.include "source/System/MarDirectorPreEntry.s"
.include "source/System/MarDirectorSetup2.s"
.include "source/System/marerr.s"
.include "source/System/MarNameRefGen.s"
.include "source/System/MenuDir.s"
.include "source/System/Params.s"
.include "source/System/ParamInst.s"
.include "source/System/PerformList.s"
.include "source/System/RenderModeObj.s"
.include "source/System/SnapTimeObj.s"
.include "source/System/TalkCursor.s"
.include "source/System/TexCache.s"
.include "source/System/ZBufferCatch.s"
.include "source/System/Application.s"
.include "source/System/ScenarioArchiveName.s"
.include "source/System/MarioGamePad.s"
.include "source/System/StageEventInfo.s"
.include "source/System/StageUtil.s"
.include "source/System/Resolution.s"
.include "source/System/PositionHolder.s"
.include "source/System/ProcessMeter.s"
.include "source/System/TimeRec.s"
.include "source/System/DrawSyncManager.s"
.include "source/System/THPRender.s"
.include "source/System/MarNameRefGen_BossEnemy.s"
.include "source/System/MarNameRefGen_Enemy.s"
.include "source/System/MarNameRefGen_Map.s"
.include "source/System/MarNameRefGen_MapObj.s"
.include "source/System/MarNameRefGen_NPC.s"
.include "source/System/CardManager.s"
.include "source/System/MarDirectorLoadResource.s"
.include "source/System/MovieDirector.s"
.include "source/System/MarDirectorCreateObjects.s"
.include "source/System/MarDirectorSetupObjects.s"
.include "source/System/MSoundMainSide.s"
.include "source/System/TargetArrow.s"
.include "source/JSystem/JKRArchivePri.s"
.include "source/JSystem/JKRAramArchive.s"
.include "source/JSystem/JKRAramHeap.s"
.include "source/JSystem/JKRAram.s"
.include "source/JSystem/JKRArchivePub.s"
.include "source/JSystem/JKRCompArchive.s"
.include "source/JSystem/JKRDisposer.s"
.include "source/JSystem/JKRDvdArchive.s"
.include "source/JSystem/JKRDvdFile.s"
.include "source/JSystem/JKRExpHeap.s"
.include "source/JSystem/JKRFileFinder.s"
.include "source/JSystem/JKRFileLoader.s"
.include "source/JSystem/JKRHeap.s"
.include "source/JSystem/JKRMemArchive.s"
.include "source/JSystem/JKRSolidHeap.s"
.include "source/JSystem/JKRStdHeap.s"
.include "source/JSystem/JKRThread.s"
.include "source/JSystem/JSUOutputStream.s"
.include "source/JSystem/JSUInputStream.s"
.include "source/JSystem/JSUList.s"
.include "source/JSystem/JSUMemoryStream.s"
.include "source/JSystem/JSUFileStream.s"
.include "source/JSystem/JUTException.s"
.include "source/JSystem/JUTDirectPrint.s"
.include "source/JSystem/JUTFont.s"
.include "source/JSystem/JUTGamePad.s"
.include "source/JSystem/JUTNameTab.s"
.include "source/JSystem/JUTPalette.s"
.include "source/JSystem/JUTRect.s"
.include "source/JSystem/JUTResource.s"
.include "source/JSystem/JUTTexture.s"
.include "source/JSystem/JMath.s"
.include "source/JSystem/J2DPane.s"
.include "source/JSystem/J2DPicture.s"
.include "source/JSystem/J2DPrint.s"
.include "source/JSystem/J2DScreen.s"
.include "source/JSystem/J2DTextBox.s"
.include "source/JSystem/J2DWindow.s"
.include "source/JSystem/J3DTransform.s"
.include "source/JSystem/J3DCluster.s"
.include "source/JSystem/J3DJoint.s"
.include "source/JSystem/J3DMaterial.s"
.include "source/JSystem/J3DModel.s"
.include "source/JSystem/J3DNode.s"
.include "source/JSystem/J3DShape.s"
.include "source/JSystem/J3DSys.s"
.include "source/JSystem/J3DAnimation.s"
.include "source/JSystem/J3DClusterLoader.s"
.include "source/JSystem/J3DJointFactory.s"
.include "source/JSystem/J3DMaterialFactory.s"
.include "source/JSystem/J3DModelLoader.s"
.include "source/JSystem/J3DShapeFactory.s"
.include "source/JSystem/J3DAnmLoader.s"
.include "source/JSystem/std-list.s"
.include "source/JSystem/JKRDvdRipper.s"
.include "source/JSystem/J2DGrafContext.s"
.include "source/JSystem/JKRDvdAramRipper.s"
.include "source/JSystem/JKRDecomp.s"
.include "source/JSystem/J2DOrthoGraph.s"
.include "source/JSystem/J3DVertex.s"
.include "source/JSystem/J3DPacket.s"
.include "source/JSystem/J3DTevs.s"
.include "source/JSystem/J3DDrawBuffer.s"
.include "source/JSystem/J3DMaterialAnm.s"
.include "source/JSystem/std-vector.s"
.include "source/JSystem/JKRAramBlock.s"
.include "source/JSystem/JKRAramPiece.s"
.include "source/JSystem/JKRAramStream.s"
.include "source/JSystem/JUTAssert.s"
.include "source/JSystem/JUTResFont.s"
.include "source/JSystem/JUTRomFont.s"
.include "source/JSystem/JRenderer.s"
.include "source/JSystem/JUTConsole.s"
.include "source/JSystem/JUTDirectFile.s"
.include "source/JSystem/linklist.s"
.include "source/JSystem/singlelinklist.s"
.include "source/JSystem/JDRActor.s"
.include "source/JSystem/JDRCamera.s"
.include "source/JSystem/JDRCharacter.s"
.include "source/JSystem/JDRDirector.s"
.include "source/JSystem/JDRDisplay.s"
.include "source/JSystem/JDRDrawBufObj.s"
.include "source/JSystem/JDRDStage.s"
.include "source/JSystem/JDRDStageGroup.s"
.include "source/JSystem/JDREfbCtrl.s"
.include "source/JSystem/JDREfbSetting.s"
.include "source/JSystem/JDRFrmGXSet.s"
.include "source/JSystem/JDRGraphics.s"
.include "source/JSystem/JDRLighting.s"
.include "source/JSystem/JDRNameRef.s"
.include "source/JSystem/JDRNameRefGen.s"
.include "source/JSystem/JDRPlacement.s"
.include "source/JSystem/JDRRenderMode.s"
.include "source/JSystem/JDRResolution.s"
.include "source/JSystem/JDRScreen.s"
.include "source/JSystem/JDRSmJ3DAct.s"
.include "source/JSystem/JDRSmJ3DScn.s"
.include "source/JSystem/JDRVideo.s"
.include "source/JSystem/JDRViewConnecter.s"
.include "source/JSystem/JDRViewObj.s"
.include "source/JSystem/JDRViewport.s"
.include "source/JSystem/JALCalc.s"
.include "source/JSystem/JALModSe.s"
.include "source/JSystem/JAIAnimation.s"
.include "source/JSystem/JAIBasic.s"
.include "source/JSystem/JAIConst.s"
.include "source/JSystem/JAIData.s"
.include "source/JSystem/JAIEntry.s"
.include "source/JSystem/JAIEntrySe.s"
.include "source/JSystem/JAIEntrySequence.s"
.include "source/JSystem/JAIEntryStream.s"
.include "source/JSystem/JAIGFrameSe.s"
.include "source/JSystem/JAIGFrameSequence.s"
.include "source/JSystem/JAIGFrameStream.s"
.include "source/JSystem/JAIGlobalParameter.s"
.include "source/JSystem/JAISound.s"
.include "source/JSystem/JAISystemInterface.s"
.include "source/JSystem/JASBank.s"
.include "source/JSystem/JASBankMgr.s"
.include "source/JSystem/JASBasicBank.s"
.include "source/JSystem/JASBasicInst.s"
.include "source/JSystem/JASBasicWaveBank.s"
.include "source/JSystem/JASBNKParser.s"
.include "source/JSystem/JASDrumSet.s"
.include "source/JSystem/JASInstEffect.s"
.include "source/JSystem/JASInstRand.s"
.include "source/JSystem/JASInstSense.s"
.include "source/JSystem/JASSimpleWaveBank.s"
.include "source/JSystem/JASWaveArcLoader.s"
.include "source/JSystem/JASWaveBank.s"
.include "source/JSystem/JASWaveBankMgr.s"
.include "source/JSystem/JASWSParser.s"
.include "source/JSystem/JASAudioThread.s"
.include "source/JSystem/JASChAllocQueue.s"
.include "source/JSystem/JASChannel.s"
.include "source/JSystem/JASChannelMgr.s"
.include "source/JSystem/JASChGlobal.s"
.include "source/JSystem/JASDriverIF.s"
.include "source/JSystem/JASDSPBuf.s"
.include "source/JSystem/JASDSPChannel.s"
.include "source/JSystem/JASDSPInterface.s"
.include "source/JSystem/JASOscillator.s"
.include "source/JSystem/JASAiCtrl.s"
.include "source/JSystem/JASCalc.s"
.include "source/JSystem/JASCallback.s"
.include "source/JSystem/JASCmdStack.s"
.include "source/JSystem/JASDvdThread.s"
.include "source/JSystem/JASHardStream.s"
.include "source/JSystem/JASHeapCtrl.s"
.include "source/JSystem/JASKernelDebug.s"
.include "source/JSystem/JASProbe.s"
.include "source/JSystem/JASSystemHeap.s"
.include "source/JSystem/JASVload.s"
.include "source/JSystem/JASNoteMgr.s"
.include "source/JSystem/JASOuterParam.s"
.include "source/JSystem/JASPlayer_impl.s"
.include "source/JSystem/JASRegisterParam.s"
.include "source/JSystem/JASSeqCtrl.s"
.include "source/JSystem/JASTrack.s"
.include "source/JSystem/JASTrackInterrupt.s"
.include "source/JSystem/JASTrackMgr.s"
.include "source/JSystem/JASTrackPort.s"
.include "source/JSystem/random.s"
.include "source/JSystem/J3DMaterialFactory_v21.s"
.include "source/JSystem/JASSeqParser.s"
.include "source/JSystem/J3DMaterialAttach.s"
.include "source/JSystem/JPAEmitter.s"
.include "source/JSystem/JPAEmitterManager.s"
.include "source/JSystem/JPAField.s"
.include "source/JSystem/JPAMath.s"
.include "source/JSystem/JPAParticle.s"
.include "source/JSystem/JPADrawSetupTev.s"
.include "source/JSystem/JPADraw.s"
.include "source/JSystem/JPADrawVisitor.s"
.include "source/JSystem/JPAExTexShape.s"
.include "source/JSystem/JPADataBlock.s"
.include "source/JSystem/JPAEmitterLoader.s"
.include "source/JSystem/JPABaseShape.s"
.include "source/JSystem/JPAExtraShape.s"
.include "source/JSystem/JPAResourceManager.s"
.include "source/JSystem/JPASweepShape.s"
.include "source/JSystem/JPATexture.s"
.include "source/JSystem/JSGAmbientLight.s"
.include "source/JSystem/JSGCamera.s"
.include "source/JSystem/JSGActor.s"
.include "source/JSystem/JSGLight.s"
.include "source/JSystem/JSGObject.s"
.include "source/JSystem/JSGSystem.s"
.include "source/JSystem/dspproc.s"
.include "source/JSystem/dsptask.s"
.include "source/JSystem/osdsp.s"
.include "source/JSystem/osdsp_task.s"
.include "source/Runtime_PPCEABI_H/__va_arg.s"
.include "source/Runtime_PPCEABI_H/global_destructor_chain.s"
.include "source/Runtime_PPCEABI_H/NMWException.s"
.include "source/Runtime_PPCEABI_H/ptmf.s"
.include "source/Runtime_PPCEABI_H/ExceptionPPC.s"
.include "source/Runtime_PPCEABI_H/runtime.s"
.include "source/Runtime_PPCEABI_H/__init_cpp_exceptions.s"
.include "source/MSL_C_PPCEABI_bare_H/abort_exit.s"
.include "source/MSL_C_PPCEABI_bare_H/ansi_fp.s"
.include "source/MSL_C_PPCEABI_bare_H/buffer_io.s"
.include "source/MSL_C_PPCEABI_bare_H/critical_regions.ppc_eabi.s"
.include "source/MSL_C_PPCEABI_bare_H/ctype.s"
.include "source/MSL_C_PPCEABI_bare_H/direct_io.s"
.include "source/MSL_C_PPCEABI_bare_H/mbstring.s"
.include "source/MSL_C_PPCEABI_bare_H/mem.s"
.include "source/MSL_C_PPCEABI_bare_H/mem_funcs.s"
.include "source/MSL_C_PPCEABI_bare_H/misc_io.s"
.include "source/MSL_C_PPCEABI_bare_H/printf.s"
.include "source/MSL_C_PPCEABI_bare_H/rand.s"
.include "source/MSL_C_PPCEABI_bare_H/scanf.s"
.include "source/MSL_C_PPCEABI_bare_H/string.s"
.include "source/MSL_C_PPCEABI_bare_H/strtoul.s"
.include "source/MSL_C_PPCEABI_bare_H/uart_console_io.s"
.include "source/MSL_C_PPCEABI_bare_H/wchar_io.s"
.include "source/MSL_C_PPCEABI_bare_H/e_asin.s"
.include "source/MSL_C_PPCEABI_bare_H/e_atan2.s"
.include "source/MSL_C_PPCEABI_bare_H/s_atan.s"
.include "source/MSL_C_PPCEABI_bare_H/s_frexp.s"
.include "source/MSL_C_PPCEABI_bare_H/w_atan2.s"
.include "source/MSL_C_PPCEABI_bare_H/hyperbolicsf.s"
.include "source/MSL_C_PPCEABI_bare_H/inverse_trig.s"
.include "source/MSL_C_PPCEABI_bare_H/trigf.s"
.include "source/MSL_C_PPCEABI_bare_H/exponentialsf.s"
.include "source/TRK_MINNOW_DOLPHIN/mainloop.s"
.include "source/TRK_MINNOW_DOLPHIN/nubevent.s"
.include "source/TRK_MINNOW_DOLPHIN/nubinit.s"
.include "source/TRK_MINNOW_DOLPHIN/msg.s"
.include "source/TRK_MINNOW_DOLPHIN/msgbuf.s"
.include "source/TRK_MINNOW_DOLPHIN/serpoll.s"
.include "source/TRK_MINNOW_DOLPHIN/usr_put.s"
.include "source/TRK_MINNOW_DOLPHIN/dispatch.s"
.include "source/TRK_MINNOW_DOLPHIN/msghndlr.s"
.include "source/TRK_MINNOW_DOLPHIN/support.s"
.include "source/TRK_MINNOW_DOLPHIN/mutex_TRK.s"
.include "source/TRK_MINNOW_DOLPHIN/notify.s"
.include "source/TRK_MINNOW_DOLPHIN/flush_cache.s"
.include "source/TRK_MINNOW_DOLPHIN/mem_TRK.s"
.include "source/TRK_MINNOW_DOLPHIN/targimpl.s"
.include "source/TRK_MINNOW_DOLPHIN/dolphin_trk.s"
.include "source/TRK_MINNOW_DOLPHIN/mpc_7xx_603e.s"
.include "source/TRK_MINNOW_DOLPHIN/main_TRK.s"
.include "source/TRK_MINNOW_DOLPHIN/dolphin_trk_glue.s"
.include "source/TRK_MINNOW_DOLPHIN/targcont.s"
.include "source/base/PPCArch.s"
.include "source/db/db.s"
.include "source/os/OS.s"
.include "source/os/OSAlarm.s"
.include "source/os/OSAlloc.s"
.include "source/os/OSArena.s"
.include "source/os/OSAudioSystem.s"
.include "source/os/OSCache.s"
.include "source/os/OSContext.s"
.include "source/os/OSError.s"
.include "source/os/OSFont.s"
.include "source/os/OSInterrupt.s"
.include "source/os/OSLink.s"
.include "source/os/OSMessage.s"
.include "source/os/OSMemory.s"
.include "source/os/OSMutex.s"
.include "source/os/OSReboot.s"
.include "source/os/OSReset.s"
.include "source/os/OSResetSW.s"
.include "source/os/OSRtc.s"
.include "source/os/OSStopwatch.s"
.include "source/os/OSSync.s"
.include "source/os/OSThread.s"
.include "source/os/OSTime.s"
.include "source/os/__ppc_eabi_init.s"
.include "source/mtx/mtx.s"
.include "source/mtx/mtxvec.s"
.include "source/mtx/mtx44.s"
.include "source/mtx/vec.s"
.include "source/dvd/dvdlow.s"
.include "source/dvd/dvdfs.s"
.include "source/dvd/dvd.s"
.include "source/dvd/dvdqueue.s"
.include "source/dvd/dvderror.s"
.include "source/dvd/fstload.s"
.include "source/vi/vi.s"
.include "source/pad/Padclamp.s"
.include "source/pad/Pad.s"
.include "source/ai/ai.s"
.include "source/ar/ar.s"
.include "source/ar/arq.s"
.include "source/dsp/dsp.s"
.include "source/dsp/dsp_debug.s"
.include "source/dsp/dsp_task.s"
.include "source/card/CARDBios.s"
.include "source/card/CARDUnlock.s"
.include "source/card/CARDRdwr.s"
.include "source/card/CARDBlock.s"
.include "source/card/CARDDir.s"
.include "source/card/CARDCheck.s"
.include "source/card/CARDMount.s"
.include "source/card/CARDFormat.s"
.include "source/card/CARDOpen.s"
.include "source/card/CARDCreate.s"
.include "source/card/CARDRead.s"
.include "source/card/CARDWrite.s"
.include "source/card/CARDStat.s"
.include "source/gx/GXInit.s"
.include "source/gx/GXFifo.s"
.include "source/gx/GXAttr.s"
.include "source/gx/GXMisc.s"
.include "source/gx/GXGeometry.s"
.include "source/gx/GXFrameBuf.s"
.include "source/gx/GXLight.s"
.include "source/gx/GXTexture.s"
.include "source/gx/GXBump.s"
.include "source/gx/GXTev.s"
.include "source/gx/GXPixel.s"
.include "source/gx/GXDraw.s"
.include "source/gx/GXStubs.s"
.include "source/gx/GXDisplayList.s"
.include "source/gx/GXTransform.s"
.include "source/gx/GXPerf.s"
.include "source/OdemuExi2/DebuggerDriver.s"
.include "source/amcstubs/AmcExi2Stubs.s"
.include "source/odenotstub/odenotstub.s"
.include "source/gd/GDBase.s"
.include "source/gd/GDGeometry.s"
.include "source/gd/GDLight.s"
.include "source/gd/GDPixel.s"
.include "source/gd/GDTev.s"
.include "source/gd/GDTransform.s"
.include "source/si/SIBios.s"
.include "source/si/SISamplingRate.s"
.include "source/exi/EXIBios.s"
.include "source/exi/EXIUart.s"
.include "source/thp/THPDec.s"
.include "source/thp/THPAudio.s"


.include "source/bootfile_rest.s"


